### org.jfree.layouting.layouter.style.resolver.computed.fonts

# Class FontFamilyResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.fonts.FontFamilyResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class FontFamilyResolveHandler`
`extends ConstantsResolveHandler`

Creation-Date: 18.12.2005, 16:35:28

Author:
  Thomas Morgner

  ## Constructor Summary

  `FontFamilyResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`
    Resolves a single property.

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

  `addNormalizeValue`, `addValue`, `getFallback`, `getRequiredStyles`, `lookupValue`, `resolve`, `resolveValue`, `setFallback`

## Constructor Details

### FontFamilyResolveHandler

    public FontFamilyResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Overrides:
>   getRequiredStyles in interface ConstantsResolveHandler
> Returns:

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Resolves a single property.
> Specified by:
>   resolve in interface ResolveHandler
> Overrides:
>   resolve in interface ConstantsResolveHandler
> Parameters:
>   `currentNode` -